//
//  CreatView.swift
//  oneByOne
//
//  Created by JJH. on 16/7/29.
//  Copyright © 2016年 JJH. All rights reserved.
//

import UIKit

class CreatView: UIView {

    /*
    // Only override drawRect: if you perform custom drawing.
    // An empty implementation adversely affects performance during animation.
    override func drawRect(rect: CGRect) {
        // Drawing code
    }
    */

}

extension UIViewController{
    
    
    func setLabelWithTitle(title:String,frame:CGRect,color:UIColor,tag:Int){
        
        let label = UILabel.init(frame: frame)
        label.text = title
        label.tag = tag
        label.textAlignment = NSTextAlignment.Center
        label.textColor = color
        label.font = UIFont.boldSystemFontOfSize(15)
        self.view.addSubview(label)
    }
    
    func setBtnWithTitle(title:String,frame:CGRect,selectorName:String){
        
        let btn = UIButton(frame: frame)
        btn.setTitle(title as String, forState: UIControlState.Normal)
        btn.layer.cornerRadius = btn.frame.size.height/2
        btn.layer.borderWidth = 1
        btn.layer.borderColor = UIColor.grayColor().CGColor
        btn.setTitleColor(UIColor.grayColor(), forState: UIControlState.Normal)
        btn.titleLabel?.font = UIFont.systemFontOfSize(13)
        btn.addTarget(self, action: Selector(selectorName), forControlEvents: UIControlEvents.TouchUpInside)
        self.view.addSubview(btn)
    }
    
    func setBtnWithColor(title:String,frame:CGRect,selectorName:String,color:UIColor){
        
        let btn = UIButton(frame: frame)
        btn.setTitle(title as String, forState: UIControlState.Normal)
        btn.setTitleColor(color, forState: UIControlState.Normal)
        btn.titleLabel?.font = UIFont.systemFontOfSize(18)
        btn.addTarget(self, action: Selector(selectorName), forControlEvents: UIControlEvents.TouchUpInside)
        self.view.addSubview(btn)
    }
    
    
}